import type { Config } from 'tailwindcss';

export default {
  content: ['./src/**/*.{astro,html,js,jsx,md,mdx,svelte,ts,tsx,vue}'],
  darkMode: 'class',
  theme: {
    extend: {
      colors: {
        'chrysler-blue': {
          DEFAULT: '#441bda',
          900: '#0e052c',
          800: '#1b0b57',
          700: '#291083',
          600: '#3716ae',
          500: '#441bda',
          400: '#6642e8',
          300: '#8c71ed',
          200: '#b3a1f3',
          100: '#d9d0f9',
        },
        'aero': {
          DEFAULT: '#0fc1f2',
          900: '#032730',
          800: '#054d61',
          700: '#087491',
          600: '#0a9ac2',
          500: '#0fc1f2',
          400: '#3dcdf5',
          300: '#6edaf7',
          200: '#9ee6fa',
          100: '#cff3fc',
        },
        'rust': {
          DEFAULT: '#b03817',
          900: '#230b05',
          800: '#461609',
          700: '#6a220e',
          600: '#8d2d12',
          500: '#b03817',
          400: '#e24c23',
          300: '#ea795a',
          200: '#f1a691',
          100: '#f8d2c8',
        },
        'gamboge': {
          DEFAULT: '#e39e26',
          900: '#2f2006',
          800: '#5e400c',
          700: '#8d6012',
          600: '#bc8018',
          500: '#e39e26',
          400: '#e8b152',
          300: '#eec57d',
          200: '#f4d8a8',
          100: '#f9ecd4',
        },
        'midnight-green': {
          DEFAULT: '#1e4652',
          900: '#060e10',
          800: '#0c1c21',
          700: '#122a31',
          600: '#183842',
          500: '#1e4652',
          400: '#34778c',
          300: '#51a5bf',
          200: '#8bc3d4',
          100: '#c5e1ea',
        },
        'kelley-green': {
          DEFAULT: '#66c82d',
          900: '#142809',
          800: '#295012',
          700: '#3d781b',
          600: '#51a024',
          500: '#66c82d',
          400: '#83d852',
          300: '#a2e27d',
          200: '#c1eba9',
          100: '#e0f5d4',
        },
      },
      fontFamily: {
        sans: ['monospace'],
      },
      fontSize: {
        'sm': '1rem',
        'base': '1.2rem',
        'lg': '1.5rem',
        'xl': '1.7rem',
        '2xl': '2rem',
        '3xl': '2.5rem',
        '4xl': '3rem',
        '5xl': '4rem',
      },
    },
    plugins: [],
  },
} satisfies Config;
